<table class="calendar calendar-grid table table-bordered">
    <thead>
        <tr>
            <th class="time">&nbsp;</th>
            {% for room in timetable.rooms %}<th>{{ room }}</th>{% endfor %}
        </tr>
    </thead>
    <tbody>
        {% for time, row in timetable.rows.items %}
            <tr class="schedule_grid_{{time.1|stringformat:"02i"}}"{% if row.hidden %} style="display:hidden;"{% endif %}>
              {% if not row.hidden %}
                {% if time.1|divisibleby:"15" %}<td class="time" rowspan="3">{{ time.0 }}:{{time.1|stringformat:"02i"}}</td>{% endif %}
                {% if row.slot.type == "end" %}
                    <td colspan="{{ timetable.rooms|length }}"><em>Feierabend!</em></td>
                {% else %}
                {% for cell in row.list %}
                    {% if cell != "ignore" %}
                    <td class="slot" colspan="1" rowspan="{{ cell.duration }}"{% if cell.bgcolor %} style="background-color:#{{ cell.bgcolor }}"{% endif %}>
                            {% if not cell %}
                                <span></span>
                            {% elif cell.meal %}
                                <span class="grid-meal">{{ cell.meal }}</span>
                            {% else %}
                                <span class="grid-title">
                                    <a href="{{ cell.talk.get_meeting_page_url }}">{{ cell.talk.title|truncatechars:64 }}</a>
                                </span>
                                <span class="grid-speaker">
                                    <small>{{ cell.speakers }}</small>
                                </span>
                            {% endif %}
                    </td>
                    {% endif %}
                {% endfor %}
                {% endif %}
              {% endif %}
            </tr>
        {% endfor %}
    </tbody>
</table>
